<?php
include '../../../app/model/db.class.php';

if(empty($_REQUEST['periodo']))
{
    $periodo='';
}else{
    $periodo=$_REQUEST['periodo'];
}

if(empty($_REQUEST['grado'])){
    $grado='';
}else{
    $grado=$_REQUEST['grado'];
}

if(empty($_REQUEST['asigntura'])){    
    $asignatura='';
}else{
    $asignatura=$_REQUEST['asigntura'];

}


$obj= new database();

$obj->conectar(); $obj->consulta("set names 'utf8'");

$info_col=$obj->consulta("select * from registrar;");
$arr_col=$obj->fetch_assoc($info_col);
      
      
$s="<html><head><meta http-equiv='expires' content='0'><meta http-equiv='Cache-Control' content='no-cache'><meta http-equiv='Pragma' CONTENT='no-cache'><meta http-equiv='Content-Type' content='text/html; charset=UTF-8'><title>MEJORES PROMEDIOS</title>
<link rel='stylesheet' type='text/css' href='../vista/css/estilo.css'/>
<script type='text/javascript' src='../vista/javascript/funciones.js' languaje='JavaScript' ></script>
</head><body>";
$s.="<div style=\"position: absolute; left: 280px; top: 25px;\"><img height='100' width='100' src='../../../fotografias/".$arr_col['escudo']."'/></div>";
$s.="<br><center><H3 class='underline'>".($arr_col['institucion'])."</H3></center>";
$s.="<center><H3 class='underline'>LOGROS CURSOS</H3></center><BR>";

$s.="<table align='center' border='0' cellspacing='0'  class='encabezado' cellpadding='0' width='65%'>";



$info_per=$obj->consulta("select * from periodos where codigo='".$periodo."';");
$per=$obj->fetch_assoc($info_per);

$info_grad=$obj->consulta("select * from grados where codigo='".$grado."';");
$grad=$obj->fetch_assoc($info_grad);
      
$info_asig=$obj->consulta("select * from catalogo where codigo='".$asignatura."';");
$asign=$obj->fetch_assoc($info_asig);
  

$s.="<tr><th width='200'>PERIODO : ".$per['descripcion']." </th><th width='200'>GRADO : ".$grad['descripcion']." </th><th>ASIGNATURA : ".($asign['descripcion'])." </th></tr>";
$s.="</table>";


$query=$obj->consulta("select * from logros where grado='".$grado."' and asignatura='".$asignatura."' and periodo='".$periodo."' order by curso asc, orden asc;");

while ( $tsArray = $obj->fetch_assoc($query) ) 
{
    $data[] = $tsArray;
}
				
//print_r($data);

for ($index = 0; $index < count($data); $index++) {
    
    if($index>0)
    {
        if(($data[$index]['curso'])==($data[$index-1]['curso']))
        {
            
            $s.="<tr><td colspan='2'>".$data[$index]['codigo']." ".($data[$index]['descripcion'])."</td></tr>";
                    
        }else{
            $s.="</table>";
            $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='60%'>";
            $s.="<tr><th width='40%'>".curso($grado,$data[$index]['curso'])."</th><th>".profesor($data[$index]['grado'],$data[$index]['curso'],$data[$index]['asignatura'])."</th></tr>"; 
            $s.="<tr><td colspan='2'>".$data[$index]['codigo']." ".($data[$index]['descripcion'])."</td></r>";
            
            
        }
        
     
        
        
    }else{
        
       $s.="<br><table align='center' border='1' cellspacing='0' cellpadding='0' class='hovertable' width='60%'>";
       
       $s.="<tr><th width='40%'>".curso($grado,$data[$index]['curso'])."</th><th>".profesor($data[$index]['grado'],$data[$index]['curso'],$data[$index]['asignatura'])."</th></tr>";
       $s.="<tr><td colspan='2'>".$data[$index]['codigo']." ".($data[$index]['descripcion'])."</td></tr>";

    }
}

function curso($codg,$codc){
    $obj= new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $infograd=$obj->consulta("select * from cursos where grado='".$codg."' and codigo='".$codc."';");
    $row=$obj->fetch_assoc($infograd);
    return $row['descripcion'];
    
}

function profesor($grad,$curs,$asig){
    $obj= new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $info=$obj->consulta("select * from curso_asignatura_profesor where grado='".$grad."' and curso='".$curs."' and asignatura='".$asig."';");
    $row=$obj->fetch_assoc($info);    
    $infoprof=$obj->consulta("select * from profesores where cedula='".$row['profesor']."';");
    $row1=$obj->fetch_assoc($infoprof);
    return ($row1['nombres']);
    
}

$s.="</table>
  <br>  
<center><input type='button' value=' RETORNAR '  class='button small green' onclick='retrocesopp()'></center>
    
</body></html>";
echo $s;
?>